Index: src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision 28a09b01c106f3e406a519f370a0c81b6cf9ee18)
+++ src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision 0a6e0970e7c08e1b9779dce64e6f62ae8388a882)
@@ -16,10 +16,10 @@
 from UnitTesting.TestUtils import QtSignalSpy
 from matplotlib.backends.backend_qt4agg import FigureCanvasQTAgg as FigureCanvas
-from GenericScatteringCalculator import GenericScatteringCalculator
-from GenericScatteringCalculator import Plotter3D
+from sas.qtgui.Calculators.GenericScatteringCalculator import GenericScatteringCalculator
+from sas.qtgui.Calculators.GenericScatteringCalculator import Plotter3D
 
 from sas.sasgui.guiframe.data_manager import DataManager
-from GuiManager import GuiManager
-from sas.qtgui.GuiUtils import *
+from sas.qtgui.MainWindow.GuiManager import GuiManager
+from sas.qtgui.Utilities.GuiUtils import *
 from sas.sascalc.calculator import sas_gen
 
@@ -173,5 +173,5 @@
         Load sld data and check modifications of GUI
         """
-        filename = "../../../sasview/test/save_states/sld_file.sld"
+        filename = os.path.join("UnitTesting", "sld_file.sld")
         QtGui.QFileDialog.getOpenFileName = MagicMock(return_value=filename)
         self.widget.loadFile()
@@ -205,9 +205,9 @@
         # Mx,y,z x,y,znodes and x,y,zstepsize buttons
         self.assertFalse(self.widget.txtMx.isEnabled())
-        self.assertEqual(self.widget.txtMx.text(), '8.0795e-07')
+        self.assertAlmostEqual(float(self.widget.txtMx.text()), 8.0795e-07, 4)
         self.assertFalse(self.widget.txtMy.isEnabled())
-        self.assertEqual(self.widget.txtMy.text(), '8.0795e-07')
+        self.assertAlmostEqual(float(self.widget.txtMy.text()), 8.0795e-07, 4)
         self.assertFalse(self.widget.txtMz.isEnabled())
-        self.assertEqual(self.widget.txtMz.text(), '3.1739e-07')
+        self.assertAlmostEqual(float(self.widget.txtMz.text()), 3.1739e-07, 4)
         self.assertTrue(self.widget.txtNucl.isEnabled())
         self.assertEqual(self.widget.txtNucl.text(), '0')
@@ -236,5 +236,6 @@
         Load pdb data and check modifications of GUI
         """
-        filename = "diamdsml.pdb"
+        filename = os.path.join("UnitTesting", "diamdsml.pdb")
+
         QtGui.QFileDialog.getOpenFileName = MagicMock(return_value=filename)
         self.widget.loadFile()
@@ -275,5 +276,5 @@
         self.assertEqual(self.widget.txtMz.text(), '0')
         self.assertFalse(self.widget.txtNucl.isEnabled())
-        self.assertEqual(self.widget.txtNucl.text(), '7.0003e-06')
+        self.assertAlmostEqual(float(self.widget.txtNucl.text()), 7.0003e-06, 4)
 
         self.assertFalse(self.widget.txtXnodes.isEnabled())
@@ -298,5 +299,6 @@
         Load omf data and check modifications of GUI
         """
-        filename = "../../../sasview/test/1d_data/A_Raw_Example-1.omf"
+        filename = os.path.join("UnitTesting", "A_Raw_Example-1.omf")
+
         QtGui.QFileDialog.getOpenFileName = MagicMock(return_value=filename)
         self.widget.loadFile()
@@ -325,9 +327,9 @@
         # Mx,y,z x,y,znodes and x,y,zstepsize buttons
         self.assertFalse(self.widget.txtMx.isEnabled())
-        self.assertEqual(self.widget.txtMx.text(), '7.855e-09')
+        self.assertAlmostEqual(float(self.widget.txtMx.text()), 7.855e-09, 4)
         self.assertFalse(self.widget.txtMy.isEnabled())
-        self.assertEqual(self.widget.txtMy.text(), '4.5169e-08')
+        self.assertAlmostEqual(float(self.widget.txtMy.text()), 4.517e-08, 4)
         self.assertFalse(self.widget.txtMz.isEnabled())
-        self.assertEqual(self.widget.txtMz.text(), '9.9511e-10')
+        self.assertAlmostEqual(float(self.widget.txtMz.text()), 9.9511e-10, 4)
         self.assertTrue(self.widget.txtNucl.isEnabled())
         self.assertEqual(self.widget.txtNucl.text(), '0')
@@ -364,5 +366,6 @@
         """
         # load data
-        filename = "diamdsml.pdb"
+        filename = os.path.join("UnitTesting", "diamdsml.pdb")
+
         QtGui.QFileDialog.getOpenFileName = MagicMock(return_value=filename)
         self.widget.loadFile()
@@ -383,6 +386,5 @@
         """
         self.assertFalse(self.widget.cmdDraw.isEnabled())
-        # filename = "../../../sasview/test/upcoming_formats/dna.pdb"
-        filename = "diamdsml.pdb"
+        filename = os.path.join("UnitTesting", "diamdsml.pdb")
         QtGui.QFileDialog.getOpenFileName = MagicMock(return_value=filename)
         self.widget.loadFile()
@@ -403,5 +405,6 @@
         Test Save feature to .sld file
         """
-        filename = "../../../sasview/test/save_states/sld_file.sld"
+        filename = os.path.join("UnitTesting", "sld_file.sld")
+
         QtGui.QFileDialog.getOpenFileName = MagicMock(return_value=filename)
         self.widget.loadFile()
@@ -409,5 +412,5 @@
         time.sleep(0.1)
 
-        filename1 = "../../../sasview/test/save_states/test"
+        filename1 = "test"
         QtGui.QFileDialog.getSaveFileName = MagicMock(return_value=filename1)
 
@@ -417,5 +420,5 @@
         self.assertTrue(os.path.getsize(filename1 + '.sld') > 0)
 
-        os.remove("../../../sasview/test/save_states/test.sld")
+        os.remove("test.sld")
 
 
